package com.fos.core.api;

import java.text.SimpleDateFormat;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.conf.GConstants;

/**
 * 所有的接口返回实体类
 * @team BBDTEK Dev Team
 * @version 1.0
 * @time 2016-03-10
 *
 */
public class ResponseBean {
    
    private static final SimpleDateFormat FORMAT = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    
    private String status  = GConstants.STATUS_CODE_2000;
    private String message = GConstants.OK;
    @JSONField(name="current_datetime")
    private String currentDatetime = FORMAT.format(System.currentTimeMillis());
    private Object data;
    
    public ResponseBean(){
    }
    public String getStatus() {
        return status;
    }
    public void setStatus(String status) {
        this.status = status;
    }
    public String getMessage() {
        return message;
    }
    public void setMessage(String message) {
        this.message = message;
    }
    public Object getData() {
        return data;
    }
    public void setData(Object data) {
        this.data = data;
    }
    public String getCurrentDatetime() {
        return currentDatetime;
    }
    public void setCurrentDatetime(String currentDatetime) {
        this.currentDatetime =currentDatetime;
    }
}
